{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block title %} All employees {% endblock title %}
{% block css %}
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bm/jq-3.6.0/dt-1.12.1/datatables.min.css" />
{% endblock css %}
{% block content %}
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            Employees
        </p>
        <p class="subtitle">
            Directory of all employees
        </p>
    </div>
</section>
<div class="section">
    <div class="columns">
        {% if user.is_superuser %}
        <div class="column is-12 ">
            {% else %}
            <div class="column is-12 ">
                {% endif %}
                {% if user.is_superuser %}
                <!-- <form action="{% url 'employee_list_filter' %}" method="POST" autocomplete="off">
                         {% csrf_token%}
                         <div class="columns">
                         <div class="column is-3">{{dept_form.department | as_crispy_field}}</div>
                         <div class="column is-3">{{emp_form.designation | as_crispy_field}}</div>
                         <div class="column is-3">{{emp_form.email | as_crispy_field}}</div>
                         <div class="column is-3">{{project_form.projects | as_crispy_field}}</div>
                         </div>
                         <div class="columns">
                         <div class="column is-3">{{emp_form.visa_from | as_crispy_field}}</div>
                         <div class="column is-3">{{emp_form.visa_to | as_crispy_field}}</div>
                         <div class="column is-3">{{emp_form.employee_type | as_crispy_field}}</div>
                         <div class="column is-3 my-auto">
                         <div class="buttons has-addons">
                         <button type="submit" name="filter" class="button is-link ">Filter</button>
                         </div>
                         </div>
                         </div>
                         </form> -->
                <br>
                <a href="{% url "employee_list_export" %}"><button class="button is-danger">Export All</button></a>
                {% endif %}
                <div class="block mt-5">
                    <table id="myTable" class="table is-bordered is-striped is-narrow  is-fullwidth ">
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Mobile</th>
                                <th>Designation</th>
                                <th>Department</th>
                                <th>Project</th>
                                {% if user.is_superuser %}
                                <th>Contract From</th>
                                <th>Contract To</th>
                                <th>Contract Type</th>
                                <th>Employee Type</th>
                                <th>Details</th>
                                {% endif %}
                            </tr>
                        </thead>
                        <tbody>
                            {% for emp in employees %}
                            <tr>
                                <td> {{emp.first_name}} {{emp.last_name}}</td>
                                <td> {{emp.email}}</td>
                                <td> {{emp.phone}} </td>
                                <td> {{emp.designation}} </td>
                                <td> 
                                    {% for dep in emp.department.all %}
                                    {{dep.name}}
                                    {% endfor %} 
                                </td>
                                <td>
                                    {% for p in emp.project_members.all %}
                                    {{p.name}}
                                    {% endfor %}
                                </td>
                                {% if user.is_superuser %}
                                <td>{{emp.contract_from}}</td>
                                <td>{{emp.contract_to}}</td>
                                <td>{{emp.contract_type}}</td>
                                <td> {{emp.employee_type}}</td>
                                <td> <a link href="{% url "employee_detail" empid=emp.emp_id %}"> <button class="button is-small is-link">View</button> </a> </td>
                                {% endif %}
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    {% endblock content %}
    {% block javascript %}
    <script type="text/javascript" src="{% static 'js/datatables.min.js'%}"></script>
    <script type="text/javascript" charset="utf8">
        $(document).ready(function() {
            $('#myTable').DataTable();
        });
    </script>
    {% endblock javascript %}